NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::AutoPointBuilder Class Reference

Represents a NXOpen::Weld::AutoPointBuilder builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateAutoPointBuilder
Default values. More...

Inheritance diagram for NXOpen::Weld::AutoPointBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  InterferenceDetails {
  InterferenceDetailsNoWeldsNearBodies, InterferenceDetailsSame, InterferenceDetailsReplaced, InterferenceDetailsAdded,
  InterferenceDetailsDeleted
}
 Settings to indicate whether an interference is near an existing weld point. More...
 
enum  Types { TypesNew, TypesMove }
 Settings to indicate whether new features should be created, or if features will be reused. More...
 

Public Member Functions

NXOpen::Assemblies::SelectComponentListComponentsToJoin ()
 Returns the components that should be welded together. More...
 
NXOpen::Assemblies::SelectComponentListComponentsTreatAsUnit ()
 Returns the components to treat as unit. More...
 
NXOpen::NXObjectCreateFeatureSet (int interferenceIndex)
 Creates a feature set containing weld points for a given interference. More...
 
double DistanceFromEnds ()
 Returns the distance from the ends to start creating weld points at
Created in NX6.0.0. More...
 
double FaceGapDistance ()
 Returns the face gap distance. More...
 
int FindNumberOfInterferenceRegions ()
 Finds all the interference areas between the selected components. More...
 
NXOpen::Weld::AutoPointBuilder::InterferenceDetails GetInterferenceDetails (int interferenceIndex)
 The status indicating if the interference has existing weld points touching it. More...
 
NXOpen::Weld::PointMarkBuilder::WeldTypes GetWeldType ()
 Gets the weld type references in the customer defaults to create. More...
 
double MaximumBendRadius ()
 Returns the bend radius of a flange. More...
 
double MaximumCenterlineWidth ()
 Returns the maximum centerline width. More...
 
double MaximumSingleThickness ()
 Returns the maximum single metal thinkness for all the selected components. More...
 
double MaximumSpacingBetweenPoints ()
 Returns the maximum spacing between points
Created in NX6.0.0. More...
 
int MimimumNumberPointsOnOverlap ()
 Returns the mimimum number points to create on an overlap sheet
Created in NX6.0.0. More...
 
double MinimumFlangeWidth ()
 Returns the minimum flange width. More...
 
double MinimumSpacingBetweenPoints ()
 Returns the minimum spacing between points
Created in NX6.0.0. More...
 
double OffsetDistanceFromEdge ()
 Returns the offset distance from edge
Created in NX6.0.0. More...
 
NXOpen::Features::SelectFeatureListReuseFeatures ()
 Returns the feature to reuse intead of creating new. More...
 
double ReuseMatchTolerance ()
 Returns the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location. More...
 
void SetDistanceFromEnds (double distanceFromEnds)
 Sets the distance from the ends to start creating weld points at
Created in NX6.0.0. More...
 
void SetFaceGapDistance (double faceGapDistance)
 Sets the face gap distance. More...
 
void SetMaximumBendRadius (double maximumBendRadius)
 Sets the bend radius of a flange. More...
 
void SetMaximumCenterlineWidth (double maximumCenterlineWidth)
 Sets the maximum centerline width. More...
 
void SetMaximumSingleThickness (double maximumSingleThickness)
 Sets the maximum single metal thinkness for all the selected components. More...
 
void SetMaximumSpacingBetweenPoints (double maximumSpacingBetweenPoints)
 Sets the maximum spacing between points
Created in NX6.0.0. More...
 
void SetMimimumNumberPointsOnOverlap (int mimimumNumberPointsOnOverlap)
 Sets the mimimum number points to create on an overlap sheet
Created in NX6.0.0. More...
 
void SetMinimumFlangeWidth (double minimumFlangeWidth)
 Sets the minimum flange width. More...
 
void SetMinimumSpacingBetweenPoints (double minimumSpacingBetweenPoints)
 Sets the minimum spacing between points
Created in NX6.0.0. More...
 
void SetOffsetDistanceFromEdge (double offsetDistanceFromEdge)
 Sets the offset distance from edge
Created in NX6.0.0. More...
 
void SetReuseMatchTolerance (double reuseMatchTolerance)
 Sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location. More...
 
void SetType (NXOpen::Weld::AutoPointBuilder::Types type)
 Sets the type of creation. More...
 
void SetUniformSpacingTolerance (double uniformSpacingTolerance)
 Sets the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1. More...
 
void SetWeldType (NXOpen::Weld::WeldFeatureSetType weldPointType)
 Sets the weld point type to create
More...
 
void SetWeldType (NXOpen::Weld::PointMarkBuilder::WeldTypes weldType)
 Sets the weld type references in the customer defaults to create. More...
 
NXOpen::Weld::AutoPointBuilder::Types Type ()
 Returns the type of creation. More...
 
double UniformSpacingTolerance ()
 Returns the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1. More...
 
NXOpen::Weld::WeldFeatureSetType WeldType ()
 Returns the weld point type to create
More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Weld::AutoPointBuilder builder
To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateAutoPointBuilder
Default values.

Property Value

DistanceFromEnds

15.0 (millimeters part), 0.5 (inches part)

FaceGapDistance

1.5 (millimeters part), 0.05 (inches part)

MaximumBendRadius

16 (millimeters part), 0.75 (inches part)

MaximumCenterlineWidth

100 (millimeters part), 4 (inches part)

MaximumSingleThickness

2 (millimeters part), 0.08 (inches part)

MaximumSpacingBetweenPoints

50 (millimeters part), 2.0 (inches part)

MimimumNumberPointsOnOverlap

3

MinimumFlangeWidth

6.0 (millimeters part), 0.25 (inches part)

MinimumSpacingBetweenPoints

25 (millimeters part), 1.0 (inches part)

OffsetDistanceFromEdge

6.25 (millimeters part), 0.25 (inches part)

ReuseMatchTolerance

1.0 (millimeters part), 0.04 (inches part)

UniformSpacingTolerance

4 (millimeters part), 0.16 (inches part)


Created in NX6.0.0.

Member Enumeration Documentation

Settings to indicate whether an interference is near an existing weld point.

Enumerator
InterferenceDetailsNoWeldsNearBodies 

Indicates no existing weld points are in this interference area.

InterferenceDetailsSame 

Indicates weld points exist and part name are the same.

InterferenceDetailsReplaced 

Indicates weld points exist and part names have changed.

InterferenceDetailsAdded 

Indicates weld points exist and parts were added.

InterferenceDetailsDeleted 

Indicates weld points exist and parts were removed.

Settings to indicate whether new features should be created, or if features will be reused.

Enumerator
TypesNew 

new points are being created

TypesMove 

move existing points

Member Function Documentation

NXOpen::Assemblies::SelectComponentList* NXOpen::Weld::AutoPointBuilder::ComponentsToJoin ( )

Returns the components that should be welded together.

This can be one components, or many.
Created in NX6.0.0.

License requirements : None

NXOpen::Assemblies::SelectComponentList* NXOpen::Weld::AutoPointBuilder::ComponentsTreatAsUnit ( )

Returns the components to treat as unit.

No interferences will be found within this component.
Created in NX6.0.0.

License requirements : None

NXOpen::NXObject* NXOpen::Weld::AutoPointBuilder::CreateFeatureSet ( int  interferenceIndex)

Creates a feature set containing weld points for a given interference.

Returns

Created in NX6.0.0.

License requirements : ugweld ("UG WELD")
Parameters
interferenceIndexIndex to the desired interference
double NXOpen::Weld::AutoPointBuilder::DistanceFromEnds ( )

Returns the distance from the ends to start creating weld points at
Created in NX6.0.0.



License requirements : None

double NXOpen::Weld::AutoPointBuilder::FaceGapDistance ( )

Returns the face gap distance.

This will be used to find interferences between bodies.
Created in NX6.0.0.

License requirements : None

int NXOpen::Weld::AutoPointBuilder::FindNumberOfInterferenceRegions ( )

Finds all the interference areas between the selected components.

This must be executed or no weld points will be created. The number of regions is used as an index to get the interference status. The first index is 0.

Returns

Created in NX6.0.0.

License requirements : ugweld ("UG WELD")
NXOpen::Weld::AutoPointBuilder::InterferenceDetails NXOpen::Weld::AutoPointBuilder::GetInterferenceDetails ( int  interferenceIndex)

The status indicating if the interference has existing weld points touching it.

The index for this function is described in the find number of interference regions method.

Returns

Created in NX7.5.4.

License requirements : ugweld ("UG WELD")
Parameters
interferenceIndexIndex to the desired interference
NXOpen::Weld::PointMarkBuilder::WeldTypes NXOpen::Weld::AutoPointBuilder::GetWeldType ( )

Gets the weld type references in the customer defaults to create.

Returns

Created in NX10.0.0.

License requirements : None
double NXOpen::Weld::AutoPointBuilder::MaximumBendRadius ( )

Returns the bend radius of a flange.

Points will not be put on faces with a radius smaller than this value.
Created in NX6.0.2.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::MaximumCenterlineWidth ( )

Returns the maximum centerline width.

Points will be created using the centerline method if the smallest width is less than this value. If greater, points will be created using the offset from edge method.
Created in NX6.0.0.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::MaximumSingleThickness ( )

Returns the maximum single metal thinkness for all the selected components.

If the distance between top faces of two panels (or sheets) is greater than single thickness plus face gap distance, a point will not be created at that location.
Created in NX6.0.2.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::MaximumSpacingBetweenPoints ( )

Returns the maximum spacing between points
Created in NX6.0.0.



License requirements : None

int NXOpen::Weld::AutoPointBuilder::MimimumNumberPointsOnOverlap ( )

Returns the mimimum number points to create on an overlap sheet
Created in NX6.0.0.



License requirements : None

double NXOpen::Weld::AutoPointBuilder::MinimumFlangeWidth ( )

Returns the minimum flange width.

If opposite sides of a flange are smaller than minimum flange width, it will be ignored.
Created in NX6.0.2.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::MinimumSpacingBetweenPoints ( )

Returns the minimum spacing between points
Created in NX6.0.0.



License requirements : None

double NXOpen::Weld::AutoPointBuilder::OffsetDistanceFromEdge ( )

Returns the offset distance from edge
Created in NX6.0.0.



License requirements : None

NXOpen::Features::SelectFeatureList* NXOpen::Weld::AutoPointBuilder::ReuseFeatures ( )

Returns the feature to reuse intead of creating new.

These features will be updated instead of creating new.
Created in NX7.5.1.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::ReuseMatchTolerance ( )

Returns the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location.

If the locations are coincident, then the existing weld feature location will be reused.
Created in NX7.5.1.

License requirements : None

void NXOpen::Weld::AutoPointBuilder::SetDistanceFromEnds ( double  distanceFromEnds)

Sets the distance from the ends to start creating weld points at
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
distanceFromEndsdistancefromends
void NXOpen::Weld::AutoPointBuilder::SetFaceGapDistance ( double  faceGapDistance)

Sets the face gap distance.

This will be used to find interferences between bodies.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
faceGapDistancefacegapdistance
void NXOpen::Weld::AutoPointBuilder::SetMaximumBendRadius ( double  maximumBendRadius)

Sets the bend radius of a flange.

Points will not be put on faces with a radius smaller than this value.
Created in NX6.0.2.

License requirements : ugweld ("UG WELD")

Parameters
maximumBendRadiusmaximumbendradius
void NXOpen::Weld::AutoPointBuilder::SetMaximumCenterlineWidth ( double  maximumCenterlineWidth)

Sets the maximum centerline width.

Points will be created using the centerline method if the smallest width is less than this value. If greater, points will be created using the offset from edge method.
Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
maximumCenterlineWidthmaximumcenterlinewidth
void NXOpen::Weld::AutoPointBuilder::SetMaximumSingleThickness ( double  maximumSingleThickness)

Sets the maximum single metal thinkness for all the selected components.

If the distance between top faces of two panels (or sheets) is greater than single thickness plus face gap distance, a point will not be created at that location.
Created in NX6.0.2.

License requirements : ugweld ("UG WELD")

Parameters
maximumSingleThicknessmaximumsinglethickness
void NXOpen::Weld::AutoPointBuilder::SetMaximumSpacingBetweenPoints ( double  maximumSpacingBetweenPoints)

Sets the maximum spacing between points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
maximumSpacingBetweenPointsmaximumspacingbetweenpoints
void NXOpen::Weld::AutoPointBuilder::SetMimimumNumberPointsOnOverlap ( int  mimimumNumberPointsOnOverlap)

Sets the mimimum number points to create on an overlap sheet
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
mimimumNumberPointsOnOverlapmimimumnumberpointsonoverlap
void NXOpen::Weld::AutoPointBuilder::SetMinimumFlangeWidth ( double  minimumFlangeWidth)

Sets the minimum flange width.

If opposite sides of a flange are smaller than minimum flange width, it will be ignored.
Created in NX6.0.2.

License requirements : ugweld ("UG WELD")

Parameters
minimumFlangeWidthminimumflangewidth
void NXOpen::Weld::AutoPointBuilder::SetMinimumSpacingBetweenPoints ( double  minimumSpacingBetweenPoints)

Sets the minimum spacing between points
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
minimumSpacingBetweenPointsminimumspacingbetweenpoints
void NXOpen::Weld::AutoPointBuilder::SetOffsetDistanceFromEdge ( double  offsetDistanceFromEdge)

Sets the offset distance from edge
Created in NX6.0.0.



License requirements : ugweld ("UG WELD")

Parameters
offsetDistanceFromEdgeoffsetdistancefromedge
void NXOpen::Weld::AutoPointBuilder::SetReuseMatchTolerance ( double  reuseMatchTolerance)

Sets the distance used to determine if the location of an existing weld feature is coincident with the newly calculated location.

If the locations are coincident, then the existing weld feature location will be reused.
Created in NX7.5.1.

License requirements : ugweld ("UG WELD")

Parameters
reuseMatchTolerancereusematchtolerance
void NXOpen::Weld::AutoPointBuilder::SetType ( NXOpen::Weld::AutoPointBuilder::Types  type)

Sets the type of creation.


Created in NX7.5.1.

License requirements : ugweld ("UG WELD")

Parameters
typetype
void NXOpen::Weld::AutoPointBuilder::SetUniformSpacingTolerance ( double  uniformSpacingTolerance)

Sets the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1.



License requirements : ugweld ("UG WELD")

Parameters
uniformSpacingToleranceuniformspacingtolerance
void NXOpen::Weld::AutoPointBuilder::SetWeldType ( NXOpen::Weld::WeldFeatureSetType  weldPointType)

Sets the weld point type to create

Deprecated:
Deprecated in NX10.0.0.

Use overloaded function with PointMark enum instead.


Created in NX6.0.0.

License requirements : ugweld ("UG WELD")

Parameters
weldPointTypeweldpointtype
void NXOpen::Weld::AutoPointBuilder::SetWeldType ( NXOpen::Weld::PointMarkBuilder::WeldTypes  weldType)

Sets the weld type references in the customer defaults to create.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
weldTypeweldtype
NXOpen::Weld::AutoPointBuilder::Types NXOpen::Weld::AutoPointBuilder::Type ( )

Returns the type of creation.


Created in NX7.5.1.

License requirements : None

double NXOpen::Weld::AutoPointBuilder::UniformSpacingTolerance ( )

Returns the distance that maximum spacing can be exceeded to achieve uniform spacing
Created in NX7.5.1.



License requirements : None

NXOpen::Weld::WeldFeatureSetType NXOpen::Weld::AutoPointBuilder::WeldType ( )

Returns the weld point type to create

Deprecated:
Deprecated in NX10.0.0.

Use overloaded function with PointMark enum instead.


Created in NX6.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.